export const setTongjiTag = event => {
  if (window._czc) {
    window._czc.push(event)
  }
}

export const sendUploadMessage = data => {
  return {
    api: '',
    payload: {}, // 参数
    url: '', //提交url， 为空则app不提交数据仅上传视频，并返回视频url
    callbackUrl: '', // 有就跳转没有就关闭
    reload: false,  // 是否刷新当前页面，url为空时需要确保为false
    ...data
  }
}

// 身份证号(支持15位|18位)
export const patternCard = /(^\d{8}(0\d|10|11|12)([0-2]\d|30|31)\d{3}$)|(^\d{6}(18|19|20)\d{2}(0[1-9]|10|11|12)([0-2]\d|30|31)\d{3}(\d|X|x)$)/

// 校验身份证号
export function validateCardNo (value) {
    let result = true
    if(!patternCard.test(value)) {
        result = false
    }
    return result
}
